ChangeSet 1.1722.85.2, 2004/06/03 08:44:34-07:00, mochel@digitalimplant.org

[Driver Model] Fix up silly scsi usage of DEVICE_ATTR() macros. 

- Hey, just because the macro incorrectly included a ';' doesn't mean
  one shouldn't add one on their own.. (Or at least be consistent.)

Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/scsi/scsi_sysfs.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/scsi/scsi_sysfs.c b/drivers/scsi/scsi_sysfs.c
--- a/drivers/scsi/scsi_sysfs.c	Tue Jun 22 09:49:15 2004
+++ b/drivers/scsi/scsi_sysfs.c	Tue Jun 22 09:49:15 2004
@@ -320,7 +320,7 @@
 	sdev->timeout = timeout * HZ;
 	return count;
 }
-static DEVICE_ATTR(timeout, S_IRUGO | S_IWUSR, sdev_show_timeout, sdev_store_timeout)
+static DEVICE_ATTR(timeout, S_IRUGO | S_IWUSR, sdev_show_timeout, sdev_store_timeout);
 
 static ssize_t
 store_rescan_field (struct device *dev, const char *buf, size_t count) 
@@ -328,7 +328,7 @@
 	scsi_rescan_device(dev);
 	return count;
 }
-static DEVICE_ATTR(rescan, S_IWUSR, NULL, store_rescan_field)
+static DEVICE_ATTR(rescan, S_IWUSR, NULL, store_rescan_field);
 
 static ssize_t sdev_store_delete(struct device *dev, const char *buf,
 				 size_t count)
